Package ch.qos.logback.core.net

# Class SyslogConstants

java.lang.Object
ch.qos.logback.core.net.SyslogConstants

public class SyslogConstants extends Object
Constants used by syslog daemon and transitively by `SyslogAppenderBase`.

Author:
  Ceki Gülcü

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ALERT_SEVERITY`
Alert: action must be taken immediately
`static final int`
`CRITICAL_SEVERITY`
Critical: critical conditions
`static final int`
`DEBUG_SEVERITY`
Debug: debug-level messages
`static final int`
`EMERGENCY_SEVERITY`
Emergency: system is unusable
`static final int`
`ERROR_SEVERITY`
Error: error conditions
`static final int`
`INFO_SEVERITY`
Informational: informational messages
`static final int`
`LOG_ALERT`
log alert, numerical code 14.
`static final int`
`LOG_AUDIT`
log audit, numerical code 13.
`static final int`
`LOG_AUTH`
security/authorization messages, numerical code 4.
`static final int`
`LOG_AUTHPRIV`
security/authorization messages, numerical code 10.
`static final int`
`LOG_CLOCK`
clock daemon, numerical code 15.
`static final int`
`LOG_CRON`
clock daemon, numerical code 9.
`static final int`
`LOG_DAEMON`
system daemons, numerical code 3.
`static final int`
`LOG_FTP`
ftp daemon, numerical code 11.
`static final int`
`LOG_KERN`
kernel messages, numerical code 0.
`static final int`
`LOG_LOCAL0`
reserved for local use, numerical code 16.
`static final int`
`LOG_LOCAL1`
reserved for local use, numerical code 17.
`static final int`
`LOG_LOCAL2`
reserved for local use, numerical code 18.
`static final int`
`LOG_LOCAL3`
reserved for local use, numerical code 19.
`static final int`
`LOG_LOCAL4`
reserved for local use, numerical code 20.
`static final int`
`LOG_LOCAL5`
reserved for local use, numerical code 21.
`static final int`
`LOG_LOCAL6`
reserved for local use, numerical code 22.
`static final int`
`LOG_LOCAL7`
reserved for local use, numerical code 23.
`static final int`
`LOG_LPR`
line printer subsystem, numerical code 6.
`static final int`
`LOG_MAIL`
mail system, numerical code 2.
`static final int`
`LOG_NEWS`
network news subsystem, numerical code 7.
`static final int`
`LOG_NTP`
NTP subsystem, numerical code 12.
`static final int`
`LOG_SYSLOG`
messages generated internally by syslogd, numerical code 5.
`static final int`
`LOG_USER`
user-level messages, numerical code 1.
`static final int`
`LOG_UUCP`
UUCP subsystem, numerical code 8
`static final int`
`NOTICE_SEVERITY`
Notice: normal but significant condition
`static final int`
`SYSLOG_PORT`
`static final int`
`WARNING_SEVERITY`
Warning: warning conditions

## Constructor Summary

Constructors
Constructor
Description
`SyslogConstants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SYSLOG_PORT

public static final int SYSLOG_PORT

See Also:
  - Constant Field Values

### EMERGENCY_SEVERITY

public static final int EMERGENCY_SEVERITY
Emergency: system is unusable

See Also:
  - Constant Field Values

### ALERT_SEVERITY

public static final int ALERT_SEVERITY
Alert: action must be taken immediately

See Also:
  - Constant Field Values

### CRITICAL_SEVERITY

public static final int CRITICAL_SEVERITY
Critical: critical conditions

See Also:
  - Constant Field Values

### ERROR_SEVERITY

public static final int ERROR_SEVERITY
Error: error conditions

See Also:
  - Constant Field Values

### WARNING_SEVERITY

public static final int WARNING_SEVERITY
Warning: warning conditions

See Also:
  - Constant Field Values

### NOTICE_SEVERITY

public static final int NOTICE_SEVERITY
Notice: normal but significant condition

See Also:
  - Constant Field Values

### INFO_SEVERITY

public static final int INFO_SEVERITY
Informational: informational messages

See Also:
  - Constant Field Values

### DEBUG_SEVERITY

public static final int DEBUG_SEVERITY
Debug: debug-level messages

See Also:
  - Constant Field Values

### LOG_KERN

public static final int LOG_KERN
kernel messages, numerical code 0.

See Also:
  - Constant Field Values

### LOG_USER

public static final int LOG_USER
user-level messages, numerical code 1.

See Also:
  - Constant Field Values

### LOG_MAIL

public static final int LOG_MAIL
mail system, numerical code 2.

See Also:
  - Constant Field Values

### LOG_DAEMON

public static final int LOG_DAEMON
system daemons, numerical code 3.

See Also:
  - Constant Field Values

### LOG_AUTH

public static final int LOG_AUTH
security/authorization messages, numerical code 4.

See Also:
  - Constant Field Values

### LOG_SYSLOG

public static final int LOG_SYSLOG
messages generated internally by syslogd, numerical code 5.

See Also:
  - Constant Field Values

### LOG_LPR

public static final int LOG_LPR
line printer subsystem, numerical code 6.

See Also:
  - Constant Field Values

### LOG_NEWS

public static final int LOG_NEWS
network news subsystem, numerical code 7.

See Also:
  - Constant Field Values

### LOG_UUCP

public static final int LOG_UUCP
UUCP subsystem, numerical code 8

See Also:
  - Constant Field Values

### LOG_CRON

public static final int LOG_CRON
clock daemon, numerical code 9.

See Also:
  - Constant Field Values

### LOG_AUTHPRIV

public static final int LOG_AUTHPRIV
security/authorization messages, numerical code 10.

See Also:
  - Constant Field Values

### LOG_FTP

public static final int LOG_FTP
ftp daemon, numerical code 11.

See Also:
  - Constant Field Values

### LOG_NTP

public static final int LOG_NTP
NTP subsystem, numerical code 12.

See Also:
  - Constant Field Values

### LOG_AUDIT

public static final int LOG_AUDIT
log audit, numerical code 13.

See Also:
  - Constant Field Values

### LOG_ALERT

public static final int LOG_ALERT
log alert, numerical code 14.

See Also:
  - Constant Field Values

### LOG_CLOCK

public static final int LOG_CLOCK
clock daemon, numerical code 15.

See Also:
  - Constant Field Values

### LOG_LOCAL0

public static final int LOG_LOCAL0
reserved for local use, numerical code 16.

See Also:
  - Constant Field Values

### LOG_LOCAL1

public static final int LOG_LOCAL1
reserved for local use, numerical code 17.

See Also:
  - Constant Field Values

### LOG_LOCAL2

public static final int LOG_LOCAL2
reserved for local use, numerical code 18.

See Also:
  - Constant Field Values

### LOG_LOCAL3

public static final int LOG_LOCAL3
reserved for local use, numerical code 19.

See Also:
  - Constant Field Values

### LOG_LOCAL4

public static final int LOG_LOCAL4
reserved for local use, numerical code 20.

See Also:
  - Constant Field Values

### LOG_LOCAL5

public static final int LOG_LOCAL5
reserved for local use, numerical code 21.

See Also:
  - Constant Field Values

### LOG_LOCAL6

public static final int LOG_LOCAL6
reserved for local use, numerical code 22.

See Also:
  - Constant Field Values

### LOG_LOCAL7

public static final int LOG_LOCAL7
reserved for local use, numerical code 23.

See Also:
  - Constant Field Values

## Constructor Details

### SyslogConstants

public SyslogConstants()